[Python-modules-commits] r25821 - in packages/pyparsing/trunk/debian (7 files)

jtaylor-guest at users.alioth.debian.org jtaylor-guest at users.alioth.debian.org
Wed Sep 11 10:31:22 UTC 2013


    Date: Wednesday, September 11, 2013 @ 10:30:42
  Author: jtaylor-guest
Revision: 25821

* New upstream release
* provide python3-pyparsing again
* add autopkgtests (Closes: #706317)

Added:
  packages/pyparsing/trunk/debian/tests/
  packages/pyparsing/trunk/debian/tests/control
  packages/pyparsing/trunk/debian/tests/import-py2
  packages/pyparsing/trunk/debian/tests/import-py3
Modified:
  packages/pyparsing/trunk/debian/changelog
  packages/pyparsing/trunk/debian/control
  packages/pyparsing/trunk/debian/rules

Modified: packages/pyparsing/trunk/debian/changelog
===================================================================
--- packages/pyparsing/trunk/debian/changelog	2013-09-11 09:58:12 UTC (rev 25820)
+++ packages/pyparsing/trunk/debian/changelog	2013-09-11 10:30:42 UTC (rev 25821)
@@ -1,8 +1,10 @@
-pyparsing (1.5.7+dfsg1-3) unstable; urgency=low
+pyparsing (2.0.1+dfsg1-1) unstable; urgency=low
 
-  * build-dependency should be python-all and not just python.
+  * New upstream release
+  * provide python3-pyparsing again
+  * add autopkgtests (Closes: #706317)
 
- -- Thomas Goirand <zigo at debian.org>  Wed, 12 Jun 2013 11:25:08 +0000
+ -- Julian Taylor <jtaylor.debian at googlemail.com>  Wed, 11 Sep 2013 12:22:36 +0200
 
 pyparsing (1.5.7+dfsg1-2) unstable; urgency=low
 

Modified: packages/pyparsing/trunk/debian/control
===================================================================
--- packages/pyparsing/trunk/debian/control	2013-09-11 09:58:12 UTC (rev 25820)
+++ packages/pyparsing/trunk/debian/control	2013-09-11 10:30:42 UTC (rev 25821)
@@ -4,11 +4,12 @@
 Maintainer: Kevin Coyner <kcoyner at debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team at lists.alioth.debian.org>, Torsten Marek <shlomme at debian.org>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.5~)
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.5~), python3-all (>= 3.1.3-2~)
 Build-Depends-Indep: tofrodos
 Homepage: http://pyparsing.wikispaces.com/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyparsing/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyparsing/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-pyparsing
 Architecture: all
@@ -28,6 +29,26 @@
   hello = "Hello, World!"
   print hello, "->", greet.parseString(hello)
 
+Package: python3-pyparsing
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python parsing module, Python3 package
+ The parsing module is an alternative approach to creating and
+ executing simple grammars, vs. the traditional lex/yacc approach, or
+ the use of regular expressions.  The parsing module provides a
+ library of classes that client code uses to construct the grammar
+ directly in Python code.
+ .
+ Here's an example:
+ .
+  from pyparsing import Word, alphas
+  greet = Word(alphas) + "," + Word(alphas) + "!"
+  hello = "Hello, World!"
+  print hello, "->", greet.parseString(hello)
+ .
+ This package contains the Python3 version of python-pyparsing.
+
 Package: python-pyparsing-doc
 Architecture: all
 Section: doc

Modified: packages/pyparsing/trunk/debian/rules
===================================================================
--- packages/pyparsing/trunk/debian/rules	2013-09-11 09:58:12 UTC (rev 25820)
+++ packages/pyparsing/trunk/debian/rules	2013-09-11 10:30:42 UTC (rev 25821)
@@ -17,6 +17,10 @@
 		$$i setup.py install --install-layout=deb \
 	    --root=$(CURDIR)/debian/python-pyparsing ; \
 	done
+	set -e ; for i in `py3versions -s` ; do \
+		$$i setup.py install --install-layout=deb \
+	    --root=$(CURDIR)/debian/python3-pyparsing ; \
+	done
 
 override_dh_installexamples:
 	dh_installexamples -i -ppython-pyparsing-doc
@@ -24,11 +28,14 @@
 override_dh_python2:
 	dh_python2 -ppython-pyparsing
 
+override_dh_python3:
+	dh_python3 -ppython3-pyparsing
+
 override_dh_compress:
 	dh_compress -i -X.py
 
 %:
-	dh $@ --with=python2 --buildsystem=python_distutils
+	dh $@ --with=python2,python3 --buildsystem=python_distutils
 
 # the following rule gets the original source and creates a dfsg free
 # tarball

Added: packages/pyparsing/trunk/debian/tests/control
===================================================================
--- packages/pyparsing/trunk/debian/tests/control	                        (rev 0)
+++ packages/pyparsing/trunk/debian/tests/control	2013-09-11 10:30:42 UTC (rev 25821)
@@ -0,0 +1,5 @@
+Tests: import-py2
+Depends: python-pyparsing, python-all
+
+Tests: import-py3
+Depends: python3-pyparsing, python3-all

Added: packages/pyparsing/trunk/debian/tests/import-py2
===================================================================
--- packages/pyparsing/trunk/debian/tests/import-py2	                        (rev 0)
+++ packages/pyparsing/trunk/debian/tests/import-py2	2013-09-11 10:30:42 UTC (rev 25821)
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -efu
+
+PYS=${PYS:-"$(pyversions -r 2>/dev/null)"}
+
+cd $ADTTMP
+for py in $PYS; do
+    echo "=== $py ==="
+    fn=$($py -c "import pyparsing; print(pyparsing.__file__)")
+    # runs some basic functions, output looks like errors but its intentional
+    $py $fn
+done
+


Property changes on: packages/pyparsing/trunk/debian/tests/import-py2
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/pyparsing/trunk/debian/tests/import-py3
===================================================================
--- packages/pyparsing/trunk/debian/tests/import-py3	                        (rev 0)
+++ packages/pyparsing/trunk/debian/tests/import-py3	2013-09-11 10:30:42 UTC (rev 25821)
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -efu
+
+PYS=${PYS:-"$(py3versions -r 2>/dev/null)"}
+
+cd $ADTTMP
+for py in $PYS; do
+    echo "=== $py ==="
+    fn=$($py -c "import pyparsing; print(pyparsing.__file__)")
+    # runs some basic functions, output looks like errors but its intentional
+    $py $fn
+done
+


Property changes on: packages/pyparsing/trunk/debian/tests/import-py3
___________________________________________________________________
Added: svn:executable
   + *




More information about the Python-modules-commits mailing list